aboutsummaryrefslogtreecommitdiff
path: root/test/run_lint.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/run_lint.sh')
-rwxr-xr-xtest/run_lint.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/test/run_lint.sh b/test/run_lint.sh
new file mode 100755
index 000000000000..c6cedc23a010
--- /dev/null
+++ b/test/run_lint.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+# $Id: run_lint.sh,v 1.5 2022/11/06 20:56:42 tom Exp $
+# vi:ts=4 sw=4:
+
+# run lint on each of the ".c" files in the test directory
+
+if test $# = 1
+then
+ PROG_DIR=`pwd`
+ TEST_DIR=$1
+else
+ PROG_DIR=..
+ TEST_DIR=.
+fi
+
+: "${FGREP:=grep -F}"
+ifBTYACC=`$FGREP -l 'define YYBTYACC' config.h > /dev/null; test $? != 0; echo $?`
+
+if test "$ifBTYACC" = 0; then
+ REF_DIR=${TEST_DIR}/yacc
+else
+ REF_DIR=${TEST_DIR}/btyacc
+fi
+
+echo "** `date`"
+for i in ${REF_DIR}/*.c
+do
+ make -f $PROG_DIR/makefile lint C_FILES="$i" srcdir="$PROG_DIR"
+done